StringMorph subclass: #BlockLabelFragmentMorph
	instanceVariableNames: 'labelFragment '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scratch-BYOB'!

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/12/2010 03:37'!
handlesMouseDown: evt
	"Return true if this morph wants to receive mouseDown events (i.e., mouseDown:, mouseMove:, mouseUp:). The default response is false; subclasses that implement mouse messages should override this to return true." 

	^ true
! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/21/2010 00:09'!
handlesMouseOver: evt

	^ true
! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/21/2010 20:58'!
handlesMouseOverDragging: evt
	"Return true if this morph wants to receive mouseDown events (i.e., mouseDown:, mouseMove:, mouseUp:). The default response is false; subclasses that implement mouse messages should override this to return true." 

	^ true
! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/12/2010 03:41'!
initialize
	super initialize.
	labelFragment _ BlockLabelFragment new! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/12/2010 02:11'!
labelFragment
	^labelFragment! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/12/2010 03:58'!
labelFragment: fragment
	labelFragment _ fragment! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/21/2010 23:18'!
mouseDown: evt
	"Handle a mouse down event"

	| old frag |
	owner isFrozen 
		ifTrue: [^ self]
		ifFalse: [owner isFrozen: true].

	old _ labelFragment deepCopy.
	frag _ BlockLabelFragmentDialog on: labelFragment category: owner category.

	owner
		isFrozen: false;
		hideArgumentPlaceHolders.
	self color: Color white.

	frag = #cancelled ifTrue: [
		labelFragment _ old.
		^ self].
	owner updateSpecWithDnDSpec! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/21/2010 23:15'!
mouseEnter: evt

	owner isFrozen 
		ifTrue: [^ self].
	owner showPlaceHoldersNear: self.
! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/24/2010 23:35'!
mouseEnterDragging: evt

	owner isFrozen 
		ifTrue: [^ self].
	owner showPlaceHoldersNear: self! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/21/2010 23:15'!
mouseLeave: evt

	owner isFrozen 
		ifTrue: [^ self].
	self color: Color white! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/22/2010 04:08'!
mouseLeaveDragging: evt

	(owner notNil and: [owner isFrozen])
		ifTrue: [^ self].
	self color: Color white! !

!BlockLabelFragmentMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/12/2010 03:42'!
updateFragment

	labelFragment
		isInput: false;
		label: self contents! !
