NXTSensor subclass: #NXTRam
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Enchanting-NXT Peripherals'!
!NXTRam commentStamp: '<historical>' prior: 0!
This is for getting information about the available RAM space.!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NXTRam class
	instanceVariableNames: ''!

!NXTRam class methodsFor: 'block specs' stamp: 'CWB 1/17/2013 10:49'!
configBlockSpec
"The buttons are not user configurable.  Every NXT has them, at all times."

	^ nil.! !

!NXTRam class methodsFor: 'block specs' stamp: 'CWB 1/17/2013 11:10'!
providesBlocks
"Returns a list of block specifications to be used in the main user interface if there is any device configured that can use these blocks.  Note that the 'selectors' are all unique, start with the class name followed by a colon, but do not actually have functions that go with them."

	| blocks |
	
	blocks _ #(
		'sensing'
			"('%J memory in %K' 			r	NXTRam:status:	'free' 'kB')"  "Implemented, but the next block is likely easier to use"
			('% of memory free' 			r	NXTRam:percentfree: )
		).

	^ blocks  ! !


!NXTRam class methodsFor: 'dropdown lists' stamp: 'CWB 1/17/2013 10:54'!
customListNumber: aNumber
"Peripherals can return custom lists (or nil)."

	(aNumber = 1) ifTrue: [
		"Names of the buttons"
		^ #('free' 'total')
	].
	(aNumber = 2) ifTrue: [
		"State of the button"
		^ #('bytes' 'kB')	
	].

	^ nil.! !


!NXTRam class methodsFor: 'accessing' stamp: 'CWB 1/17/2013 10:49'!
concreteTypes
"Returns a list of physical devices that implement the functions of this class."

	^ #().! !
