ArgumentElementMorph subclass: #TextBoxElementMorph
	instanceVariableNames: 'doResizing insetX heightPadding stringMorph insetY selectionColor selectionEnd selectionStart undoState blinkState lastContents isKeyboardFocus acceptWhenFocusLost frame isNumeric client dragStartIndex isEditable '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Elements'!

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/22/2009 23:53'!
contents
	^label contents! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 20:37'!
fit
	label ifNil: [^self ].
	self extent: label extent + (self borderWidth * 2).
	self width: (self width + (self labelFont widthOf: $ )).
	label position: bounds center - (label extent // 2).
	(owner respondsTo: #fit)
		ifTrue: [owner fit]
! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 20:43'!
handlesMouseDown: evt
	"Return true if this morph wants to receive mouseDown events (i.e., mouseDown:, mouseMove:, mouseUp:). The default response is false; subclasses that implement mouse messages should override this to return true." 

	^ true
! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 22:16'!
initialize
	super initialize.
	color _ Color white.
	self fit! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 21:09'!
label: aString
	label ifNil: [
		label _ StringElementMorph contents: aString font: self labelFont.
		label color: self labelColor.
		self addMorphFront: label ].
	label contents: aString.
	self fit
! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 20:34'!
labelColor
	^Color black! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 22:14'!
labelFont
	^StrikeFont fontName: 'Verdana' size: 9! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 21:15'!
layoutChanged

	super layoutChanged.
	self resizeToLabel.! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 20:46'!
mouseDown: evt
	"Handle a mouse down event. This default implementation does nothing."
	label launchMiniEditor: evt! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 21:25'!
resizeToLabel
	| le h ne |
	label ifNil: [^self ].

	le _ (label extent + (self borderWidth * 2) + ((self labelFont widthOf: $ ) @ 0)).
	h _ MessageElementMorph labelFont height.
	ne _ ( h max: le x ) @ ( h max: le y).
	(self extent = ne) ifFalse: [self extent: ne ].

	(owner respondsTo: #fit)
		ifTrue: [owner fit]
! !

!TextBoxElementMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/14/2009 22:19'!
wantsDroppedMorph: aMorph event: evt

	^false! !
