#!/bin/bash

# This bash script fixes the broken translation files
# Specifically, there are lines with a degree symbol that were 
# output in extended ASCII and are not valid unicode.

find . -name "*.po" -exec sh -c '
	F="{}" 
	echo $F 
	iconv -f utf-8 -t utf-8 --byte-subst="°" "$F" > "$F.tmp"
	mv -v "$F.tmp" "$F"' ';'
